# Google Partners API . userStates

## Instance Methods

Lists states for current user.

### Method Details

`list(requestMetadata_userOverrides_ipAddress=None, requestMetadata_trafficSource_trafficSubId=None, requestMetadata_userOverrides_userId=None, x__xgafv=None, requestMetadata_locale=None, requestMetadata_experimentIds=None, requestMetadata_trafficSource_trafficSourceId=None, requestMetadata_partnersSessionId=None)`

    Lists states for current user.

    Args:
      requestMetadata_userOverrides_ipAddress: string, IP address to use instead of the user's geo-located IP address.
      requestMetadata_trafficSource_trafficSubId: string, Second level identifier to indicate where the traffic comes from. An identifier has multiple letters created by a team which redirected the traffic to us.
      requestMetadata_userOverrides_userId: string, Logged-in user ID to impersonate instead of the user's ID.
      x__xgafv: string, V1 error format.
      requestMetadata_locale: string, Locale to use for the current request.
      requestMetadata_experimentIds: string, Experiment IDs the current request belongs to. (repeated)
      requestMetadata_trafficSource_trafficSourceId: string, Identifier to indicate where the traffic comes from. An identifier has multiple letters created by a team which redirected the traffic to us.
      requestMetadata_partnersSessionId: string, Google Partners session ID.

    Returns:
      An object of the form:

        { # Response message for ListUserStates.
        "userStates": [ # User's states.
          "A String",
        ],
        "responseMetadata": { # Common data that is in each API response. # Current response metadata.
          "debugInfo": { # Debug information about this request. # Debug information about this request.
            "serverTraceInfo": "A String", # Server-side debug stack trace.
            "serviceUrl": "A String", # URL of the service that handled this request.
            "serverInfo": "A String", # Info about the server that serviced this request.
          },
        },
      }